<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.common.module.mapper.MaterialParameterMapper">

    <select id="getMaterialTotalCharge" resultType="com.alibaba.fastjson.JSONObject">
        SELECT
        signature,
        sum(charge) as charges
        FROM ctop_kuaishou_report_daily_material
        WHERE signature = #{signature}
    </select>

    <select id="getByteDanceMaterialTotalCharge" resultType="com.alibaba.fastjson.JSONObject">
        SELECT
        signature,
        sum(cost) as charges
        FROM ctop_bytedance_video_report_daily
        WHERE signature = #{signature}
    </select>
</mapper>